Update a help center
curl --request PATCH \
--url https://helpcenter.thena.ai/help-centers/{helpCenterId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"isOnline": true,
"isProtected": false,
"name": "Thena Support Center",
"defaultDomain": "support",
"gaId": "G-XXXXXXXXXX",
"shouldIndex": true,
"socialImages": {
"favicon": "https://assets.thena.io/favicon.ico",
"openGraphImage": "https://assets.thena.io/og-image.jpg"
},
"logo": "https://assets.thena.io/logos/help-center-logo.png",
"meta": {
"title": "Thena Help Center - Get Support",
"description": "Find help articles and documentation for Thena products",
"image": "https://assets.thena.io/meta/help-center.jpg"
}
}
'import requests
url = "https://helpcenter.thena.ai/help-centers/{helpCenterId}"
payload = {
"isOnline": True,
"isProtected": False,
"name": "Thena Support Center",
"defaultDomain": "support",
"gaId": "G-XXXXXXXXXX",
"shouldIndex": True,
"socialImages": {
"favicon": "https://assets.thena.io/favicon.ico",
"openGraphImage": "https://assets.thena.io/og-image.jpg"
},
"logo": "https://assets.thena.io/logos/help-center-logo.png",
"meta": {
"title": "Thena Help Center - Get Support",
"description": "Find help articles and documentation for Thena products",
"image": "https://assets.thena.io/meta/help-center.jpg"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isOnline: true,
isProtected: false,
name: 'Thena Support Center',
defaultDomain: 'support',
gaId: 'G-XXXXXXXXXX',
shouldIndex: true,
socialImages: {
favicon: 'https://assets.thena.io/favicon.ico',
openGraphImage: 'https://assets.thena.io/og-image.jpg'
},
logo: 'https://assets.thena.io/logos/help-center-logo.png',
meta: {
title: 'Thena Help Center - Get Support',
description: 'Find help articles and documentation for Thena products',
image: 'https://assets.thena.io/meta/help-center.jpg'
}
})
};
fetch('https://helpcenter.thena.ai/help-centers/{helpCenterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"orgId": "EWWESHH5ED",
"name": "Thena Support Center",
"defaultDomain": "support.thena.ai",
"orgDomain": "thena.ai",
"isOnline": true,
"isProtected": false,
"shouldIndex": true,
"createdBy": "UWW7PBBOPJ",
"socialImages": {
"favicon": "https://example.com/favicon.ico",
"openGraphImage": "https://example.com/open-graph.jpg"
},
"stylingConfiguration": {
"body": {
"bgColor": "#FFFFFF",
"textColor": "#000000",
"actionColor": "#000000",
"designStyle": "card",
"radius": 10,
"pFont": "default",
"sFont": "default",
"displayAuthors": true
},
"header": {
"logo": "https://example.com/logo.png",
"title": "Thena Support Center",
"links": [
{
"name": "Home",
"url": "https://example.com"
}
],
"showBg": true,
"bgColor": "#FFFFFF",
"color": "#000000"
},
"hero": {
"message": "Welcome to Thena Support Center",
"background": {
"type": "color",
"color": "#FFFFFF"
},
"color": "#000000",
"height": 245,
"search": {
"len": "long",
"align": "left",
"justify": "bottom",
"radius": 10,
"placeholderText": "Search..."
}
},
"bodyBlocks": {
"collection": {
"layout": "one-column",
"style": "classic"
}
},
"collection": {
"displayDescription": true
},
"article": {
"displayTableOfContent": true,
"displayRelatedArticle": true
},
"footer": {
"logo": "https://example.com/logo.png",
"layout": "simple",
"text": "© 2024 Thena Support Center",
"bgColor": "#FFFFFF",
"color": "#000000",
"socialLinks": [
{
"type": "facebook",
"url": "https://www.facebook.com/thena.ai"
},
{
"type": "twitter",
"url": "https://www.twitter.com/thena.ai"
}
],
"links": [
{
"columnName": "Contact",
"data": [
{
"name": "Support",
"url": "https://example.com/support"
}
]
}
]
}
},
"aiData": {
"assistants": [
{
"name": "Assistant 1",
"assistantId": "123",
"vectorId": "456",
"assistantType": "default"
}
]
},
"meta": {
"title": "Thena Support Center",
"description": "Thena Support Center",
"image": "https://example.com/image.jpg"
},
"logo": "https://example.com/logo.png",
"customDomain": "support.thena.ai",
"gaId": "UA-1234567890"
},
"message": "Help center updated successfully."
}Help Centers
Update a help center
PATCH
/
help-centers
/
{helpCenterId}
Update a help center
Authorizations
Enter your API key
Path Parameters
Help Center ID in MongoDB ObjectId format
Example:
"507f1f77bcf86cd799439011"
Body
application/json
Help center update payload
Whether the help center is online
Example:
true
Whether the help center requires authentication to access
Example:
false
Name of the help center
Example:
"Thena Support Center"
Default subdomain
Pattern:
^[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?$Example:
"support"
Google Analytics ID
Example:
"G-XXXXXXXXXX"
Whether to index the help center for search engines
Example:
true
Social media images configuration
Show child attributes
Show child attributes
Example:
{
"favicon": "https://assets.thena.io/favicon.ico",
"openGraphImage": "https://assets.thena.io/og-image.jpg"
}Styling configuration
Show child attributes
Show child attributes
Help center logo URL
Example:
"https://assets.thena.io/logos/help-center-logo.png"
Meta information for SEO
Show child attributes
Show child attributes
Example:
{
"title": "Thena Help Center - Get Support",
"description": "Find help articles and documentation for Thena products",
"image": "https://assets.thena.io/meta/help-center.jpg"
}⌘I